zenilib: zenilib/jni/external/freetype2/src/smooth/ftsmooth.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
ftsmooth.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_OUTLINE_H>`
`#include "ftsmooth.h"`
`#include "ftgrays.h"`
`#include "ftspic.h"`
`#include "ftsmerrs.h"`

Go to the source code of this file.

## Functions

| FT_DEFINE_RENDERER (ft_smooth_renderer_class, FT_MODULE_RENDERER, sizeof(FT_RendererRec),"smooth", 0x10000L, 0x20000L, 0,(FT_Module_Constructor) ft_smooth_init,(FT_Module_Destructor) 0,(FT_Module_Requester) 0, FT_GLYPH_FORMAT_OUTLINE,(FT_Renderer_RenderFunc) ft_smooth_render,(FT_Renderer_TransformFunc) ft_smooth_transform,(FT_Renderer_GetCBoxFunc) ft_smooth_get_cbox,(FT_Renderer_SetModeFunc) ft_smooth_set_mode,(FT_Raster_Funcs *)&FT_GRAYS_RASTER_GET) FT_DEFINE_RENDERER(ft_smooth_lcd_renderer_class
static void | ft_smooth_get_cbox (FT_Renderer render, FT_GlyphSlot slot, FT_BBox *cbox)
static FT_Error | ft_smooth_init (FT_Renderer render)
static FT_Error | ft_smooth_render (FT_Renderer render, FT_GlyphSlot slot, FT_Render_Mode mode, const FT_Vector *origin)
static FT_Error | ft_smooth_render_generic (FT_Renderer render, FT_GlyphSlot slot, FT_Render_Mode mode, const FT_Vector *origin, FT_Render_Mode required_mode)
static FT_Error | ft_smooth_render_lcd (FT_Renderer render, FT_GlyphSlot slot, FT_Render_Mode mode, const FT_Vector *origin)
static FT_Error | ft_smooth_render_lcd_v (FT_Renderer render, FT_GlyphSlot slot, FT_Render_Mode mode, const FT_Vector *origin)
static FT_Error | ft_smooth_set_mode (FT_Renderer render, FT_ULong mode_tag, FT_Pointer data)
static FT_Error | ft_smooth_transform (FT_Renderer render, FT_GlyphSlot slot, const FT_Matrix *matrix, const FT_Vector *delta)
| sizeof (FT_RendererRec)

## Variables

smooth FT_Module_Constructor | FT_GLYPH_FORMAT_OUTLINE
smooth FT_Module_Constructor | FT_Module_Destructor
| FT_MODULE_RENDERER
smooth FT_Module_Constructor | FT_Module_Requester
smooth FT_Module_Constructor FT_Renderer_RenderFunc FT_Renderer_TransformFunc FT_Renderer_GetCBoxFunc | ft_smooth_get_cbox
smooth FT_Module_Constructor | ft_smooth_init
smooth FT_Module_Constructor FT_Renderer_RenderFunc | ft_smooth_render_lcd
smooth FT_Module_Constructor FT_Renderer_RenderFunc FT_Renderer_TransformFunc FT_Renderer_GetCBoxFunc FT_Renderer_SetModeFunc | ft_smooth_set_mode
smooth FT_Module_Constructor FT_Renderer_RenderFunc FT_Renderer_TransformFunc | ft_smooth_transform
smooth | lcd

## Function Documentation

FT_DEFINE_RENDERER | ( | ft_smooth_renderer_class | ,
|  | FT_MODULE_RENDERER | ,
|  | sizeof(FT_RendererRec) | ,
|  | "smooth" | ,
|  | 0x10000L | ,
|  | 0x20000L | ,
|  | 0 | ,
|  | (FT_Module_Constructor) | ft_smooth_init,
|  | (FT_Module_Destructor) | 0,
|  | (FT_Module_Requester) | 0,
|  | FT_GLYPH_FORMAT_OUTLINE | ,
|  | (FT_Renderer_RenderFunc) | ft_smooth_render,
|  | (FT_Renderer_TransformFunc) | ft_smooth_transform,
|  | (FT_Renderer_GetCBoxFunc) | ft_smooth_get_cbox,
|  | (FT_Renderer_SetModeFunc) | ft_smooth_set_mode,
|  | (FT_Raster_Funcs *)& | FT_GRAYS_RASTER_GET
| ) |  |

static void ft_smooth_get_cbox | ( | FT_Renderer | render,
|  | FT_GlyphSlot | slot,
|  | FT_BBox * | cbox
| ) |  |

static

Definition at line 86 of file ftsmooth.c.

References FT_GlyphSlotRec_::format, FT_MEM_ZERO, FT_Outline_Get_CBox(), FT_RendererRec_::glyph_format, and FT_GlyphSlotRec_::outline.

static FT_Error ft_smooth_init | ( | FT_Renderer | render | ) |

static

Definition at line 32 of file ftsmooth.c.

References FT_RendererRec_::clazz, FT_MODULE_LIBRARY, library, FT_RendererRec_::raster, FT_Renderer_Class_::raster_class, FT_LibraryRec_::raster_pool, FT_LibraryRec_::raster_pool_size, and FT_Raster_Funcs_::raster_reset.

static FT_Error ft_smooth_render | ( | FT_Renderer | render,
|  | FT_GlyphSlot | slot,
|  | FT_Render_Mode | mode,
|  | const FT_Vector * | origin
| ) |  |

static

Definition at line 375 of file ftsmooth.c.

References FT_RENDER_MODE_LIGHT, FT_RENDER_MODE_NORMAL, and ft_smooth_render_generic().

static FT_Error ft_smooth_render_generic | ( | FT_Renderer | render,
|  | FT_GlyphSlot | slot,
|  | FT_Render_Mode | mode,
|  | const FT_Vector * | origin,
|  | FT_Render_Mode | required_mode
| ) |  |

static

Definition at line 99 of file ftsmooth.c.

References FT_GlyphSlotRec_::bitmap, FT_GlyphSlotRec_::bitmap_left, FT_GlyphSlotRec_::bitmap_top, FT_Bitmap_::buffer, error, FT_Slot_InternalRec_::flags, FT_Raster_Params_::flags, FT_GlyphSlotRec_::format, FT_ALLOC, FT_ERROR, FT_FREE, FT_GLYPH_OWN_BITMAP, FT_INT_MAX, ft_memcpy, FT_Outline_Get_CBox(), FT_Outline_Translate(), FT_PAD_CEIL, FT_PIX_CEIL, FT_PIX_FLOOR, FT_PIXEL_MODE_GRAY, FT_Pos, FT_RASTER_FLAG_AA, FT_RENDER_MODE_LCD, FT_RENDER_MODE_LCD_V, FT_RendererRec_::glyph_format, if(), FT_GlyphSlotRec_::internal, FT_GlyphSlotRec_::library, FT_ModuleRec_::memory, FT_Outline_::n_points, NULL, FT_Bitmap_::num_grays, FT_GlyphSlotRec_::outline, FT_Bitmap_::pitch, FT_Bitmap_::pixel_mode, FT_Outline_::points, FT_RendererRec_::raster, FT_RendererRec_::raster_render, FT_RendererRec_::root, FT_Bitmap_::rows, FT_Raster_Params_::source, FT_Raster_Params_::target, vec, FT_Bitmap_::width, FT_Vector_::x, FT_BBox_::xMax, FT_BBox_::xMin, FT_Vector_::y, FT_BBox_::yMax, and FT_BBox_::yMin.

Referenced by ft_smooth_render(), ft_smooth_render_lcd(), and ft_smooth_render_lcd_v().

static FT_Error ft_smooth_render_lcd | ( | FT_Renderer | render,
|  | FT_GlyphSlot | slot,
|  | FT_Render_Mode | mode,
|  | const FT_Vector * | origin
| ) |  |

static

Definition at line 390 of file ftsmooth.c.

References FT_GlyphSlotRec_::bitmap, error, FT_PIXEL_MODE_LCD, FT_RENDER_MODE_LCD, ft_smooth_render_generic(), and FT_Bitmap_::pixel_mode.

static FT_Error ft_smooth_render_lcd_v | ( | FT_Renderer | render,
|  | FT_GlyphSlot | slot,
|  | FT_Render_Mode | mode,
|  | const FT_Vector * | origin
| ) |  |

static

Definition at line 408 of file ftsmooth.c.

References FT_GlyphSlotRec_::bitmap, error, FT_PIXEL_MODE_LCD_V, FT_RENDER_MODE_LCD_V, ft_smooth_render_generic(), and FT_Bitmap_::pixel_mode.

static FT_Error ft_smooth_set_mode | ( | FT_Renderer | render,
|  | FT_ULong | mode_tag,
|  | FT_Pointer | data
| ) |  |

static

Definition at line 47 of file ftsmooth.c.

References FT_RendererRec_::clazz, FT_RendererRec_::raster, FT_Renderer_Class_::raster_class, and FT_Raster_Funcs_::raster_set_mode.

static FT_Error ft_smooth_transform | ( | FT_Renderer | render,
|  | FT_GlyphSlot | slot,
|  | const FT_Matrix * | matrix,
|  | const FT_Vector * | delta
| ) |  |

static

Definition at line 59 of file ftsmooth.c.

References error, FT_GlyphSlotRec_::format, FT_Outline_Transform(), FT_Outline_Translate(), FT_RendererRec_::glyph_format, FT_GlyphSlotRec_::outline, FT_Vector_::x, and FT_Vector_::y.

sizeof | ( | FT_RendererRec |  | ) |

## Variable Documentation

smooth FT_Module_Constructor FT_GLYPH_FORMAT_OUTLINE

Definition at line 456 of file ftsmooth.c.

smooth FT_Module_Constructor FT_Module_Destructor

Definition at line 456 of file ftsmooth.c.

FT_MODULE_RENDERER

Definition at line 453 of file ftsmooth.c.

smooth FT_Module_Constructor FT_Module_Requester

Definition at line 456 of file ftsmooth.c.

smooth FT_Module_Constructor FT_Renderer_RenderFunc FT_Renderer_TransformFunc FT_Renderer_GetCBoxFunc ft_smooth_get_cbox

Definition at line 456 of file ftsmooth.c.

smooth FT_Module_Constructor ft_smooth_init

Definition at line 456 of file ftsmooth.c.

smooth FT_Module_Constructor FT_Renderer_RenderFunc ft_smooth_render_lcd

Definition at line 456 of file ftsmooth.c.

smooth FT_Module_Constructor FT_Renderer_RenderFunc FT_Renderer_TransformFunc FT_Renderer_GetCBoxFunc FT_Renderer_SetModeFunc ft_smooth_set_mode

Definition at line 456 of file ftsmooth.c.

smooth FT_Module_Constructor FT_Renderer_RenderFunc FT_Renderer_TransformFunc ft_smooth_transform

Definition at line 456 of file ftsmooth.c.

smooth lcd

Definition at line 456 of file ftsmooth.c.